Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class StyleWithPropertiesConverterHelper

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.StyleWithPropertiesConverterHelper

Direct Known Subclasses:
  CellStyleConverter, FrameStyleConverter, ParStyleConverter, RowStyleConverter, SectionStyleConverter, TableStyleConverter, TextStyleConverter

    public abstract class StyleWithPropertiesConverterHelper

extends StyleConverterHelper

This is an abstract class to convert an OpenDocument style family represented by `StyleWithProperties` to CSS2 styles.

Field Summary

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`StyleWithPropertiesConverterHelper(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `StyleWithPropertiesConverterHelper`

Method Summary
`abstract void` | `applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)` Convert formatting properties for a specific style.
`void` | `applyStyle(java.lang.String sStyleName, StyleInfo info)` Apply a style, either by converting the style or by applying the style map from the configuarion
`java.lang.String` | `getClassNamePrefix()` Return a prefix to be used in generated css class names
`abstract java.lang.String` | `getDefaultTagName(StyleWithProperties style)` Create default tag name to represent a specific style, e.g.
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, getStyles, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleWithPropertiesConverterHelper

    public StyleWithPropertiesConverterHelper(OfficeReader ofr,
                                              Config config,
                                              Converter converter,
                                              int nType)

  Create a new `StyleWithPropertiesConverterHelper`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### applyStyle

    public void applyStyle(java.lang.String sStyleName,
                           StyleInfo info)

  Apply a style, either by converting the style or by applying the style map from the configuarion

  Parameters:
    `sStyleName` - name of the OpenDocument style
    `info` - the `StyleInfo` object to add information to

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Specified by:
    `getStyleDeclarations` in class `StyleConverterHelper`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Return a prefix to be used in generated css class names

  Returns:
    the prefix

### getDefaultTagName

    public abstract java.lang.String getDefaultTagName(StyleWithProperties style)

  Create default tag name to represent a specific style, e.g. `span` (text style) or `ul` (unordered list)

  Parameters:
    `style` - to use
  Returns:
    the tag name. If the style is null, a default result should be returned.

### applyProperties

    public abstract void applyProperties(StyleWithProperties style,
                                         CSVList props,
                                         boolean bInherit)

  Convert formatting properties for a specific style.

  Parameters:
    `style` - the style to convert
    `props` - the `CSVList` object to add information to
    `bInherit` - true if properties should be inherited from parent style(s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD